pear/Console_Getopt requires PEAR Installer (version >= 1.8.0)

      pear/Console_Getopt requires PEAR Installer (version >= 1.8.0)

      Beim Upgrade einer älteren Magento-Version auf die aktuell verfügbare Version kann es zu folgendem Fehler kommen:

      Quellcode

      1. pear/Console_Getopt requires PEAR Installer (version >= 1.8.0), installed version is 1.7.1
      Der Fehler führt dazu das weder Extension-Installationen noch Upgrades der Shopsoftware möglich sind.

      Das Upgrade der PEAR-Version erfolgt über einen SSH-Zugang, dazu muss folgender Befehl im Magento Ordner abgesetzt werden:

      Quellcode

      1. ./pear upgrade --force PEAR

      Sobald die Ausgabe fehlerfrei beendet wurde sollte Magento in der Lage sein die erforderlichen Aktionen auszuführen.
      Magento Hosting | Cloud Server | Shopware Hosting | Elasticsearch Hosting
      Unsere Hosting-Lösungen nutzen ultraschnelle SSDs und sind jederzeit skalierbar.